For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • POSTCreate organization
        • GETList organization relation types
        • GETList organization verification types
        • GETOrganization details
        • DELDelete organization
        • PATCHUpdate organization
        • GETList an organization's events
        • GETList organization contacts
        • POSTCreate a contact
        • GETContact details
        • DELDelete a contact
        • PATCHUpdate a contact
LogoLogo
Request featuresContact support
API ReferenceOrganization

Update a contact

PATCH
https://cdn.emnify.net/api/v1/organisation/:org_id/contact/:contact_id
PATCH
/api/v1/organisation/:org_id/contact/:contact_id
$curl -X PATCH https://cdn.emnify.net/api/v1/organisation/org_id/contact/contact_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Marcus Mayweather"
>}'
Update the details of a contact by ID.
Was this page helpful?
Previous

Delete a contact

Next

Get an organization's prepaid balance

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

org_idstringRequired
contact_idstringRequired

Request

This endpoint expects an object.
typeobjectOptional
namestringOptional
titlestringOptional
departmentstringOptional
streetstringOptional
zipcodestringOptional
citystringOptional
countryobjectOptional
emailstringOptionalformat: "email"
phonestringOptional
mobilestringOptional
statestringOptional
secondary_addressstringOptional
purchase_order_numberstringOptional

Response

No Content. The server has successfully fulfilled the request and that there is no additional content to send in the response payload body. Response headers indicate the location of the created resource.

Errors

404
Not Found Error